Data::Perl::Bool::MooseLike(3)

NAME
Data::Perl::Bool::MooseLike - data::Perl::Bool subclass that simulates Moose's native traits.

VERSION
version 0.001009

SYNOPSIS
    # you should not be consuming this class directly.

DESCRIPTION
This class provides a wrapper and methods for interacting with a boolean. All methods are written to emulate/match existing behavior that exists with Moose's native traits.

SEE ALSO

•   Data::Perl

•   Data::Perl::Role::Collection::Bool

AUTHOR
Toby Inkster <tobyink@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2020 by Matthew Phillips <mattp@cpan.org>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.